# Uses of Interface
org.opensaml.xmlsec.encryption.Seed

Packages that use Seed
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of Seed in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return Seed
Modifier and Type
Method
Description
`Seed`
DHKeyValue.`getSeed()`
Get the seed element.
Methods in org.opensaml.xmlsec.encryption with parameters of type Seed
Modifier and Type
Method
Description
`void`
DHKeyValue.`setSeed(Seed newSeed)`
Set the seed element.

## Uses of Seed in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement Seed
Modifier and Type
Class
Description
`class`
`SeedImpl`
Concrete implementation of `Seed`.
Fields in org.opensaml.xmlsec.encryption.impl declared as Seed
Modifier and Type
Field
Description
`private Seed`
DHKeyValueImpl.`seed`
seed child element.
Methods in org.opensaml.xmlsec.encryption.impl that return Seed
Modifier and Type
Method
Description
`Seed`
SeedBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`Seed`
SeedBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Seed`
DHKeyValueImpl.`getSeed()`
Get the seed element.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type Seed
Modifier and Type
Method
Description
`void`
DHKeyValueImpl.`setSeed(Seed newSeed)`
Set the seed element.